global selector, map, selectionMade, nextQuestion

on prepareMovie
  selectionMade = 0
  if the platform contains "Windows" then
    platformDelimiter = "\"
  else
    platformDelimiter = ":"
  end if
  add(the searchPaths, the moviePath & "media")
  add(the searchPaths, the moviePath & "media" & platformDelimiter & "video")
  add(the searchPaths, the moviePath & "media/audio")
end

on startMovie
  selector = new(script("selector"))
  sprite(66).visible = 0
  sprite(67).visible = 0
  sprite(68).visible = 0
  repeat with i = 44 to 65
    set the cursor of sprite i to 280
  end repeat
  set the volume of sound 1 to 255
  nextQuestion = random(15)
end

on stopMovie
  if not map then
    return 
  end if
  if map.visible then
    map.visible = 0
    forget(map)
  end if
end

on createMap
  maptop = 406
  mapleft = 553
  mapwidth = 218
  mapheight = 161
  map = window("map")
  map.windowType = 2
  map.rect = rect(the stageLeft + mapleft, the stageTop + maptop, the stageLeft + mapleft + mapwidth, the stageTop + maptop + mapheight)
  moveToFront(map)
  window("map").visible = 1
  tell map
    zoom(1.01000000000000001)
  end tell
end

on showMap
  if not map then
    createMap()
  end if
  tell map
    go(1)
  end tell
  window("map").visible = 1
  moveToFront(map)
end

on hideMap
  if not map then
    return 
  end if
  window("map").visible = 0
  moveToBack(window("map"))
end

on bringMapToFront
  if not map then
    createMap()
  end if
  if map and map.visible then
    moveToFront(map)
  end if
end

on mapGotoSite site
  if not map then
    createMap()
  end if
  if map.visible then
    tell map
      gotoSite(site)
    end tell
  end if
end

on showLabel str
  member("pdaLabel").text = str
end

on jumpToSite site
  go("wait")
  selectionMade = 1
  setSite(selector, site)
end
